
/* Banner */
#banner-discount-info {
    position: fixed;
    left: 0;
    bottom: 0;
    /* background: #F39E0B; */
    z-index: 900;
    right: 0;
    transition: bottom 0.25s ease;
    box-sizing: border-box;
    -moz-box-sizing: border-box;    
}

.banner-background {

    background: #F39E0B;

}


/* Privacy */

.privacy-wrapper {
    margin-top: 30px;
    margin-bottom: 30px;
    display: block;
    overflow: hidden;
}

#discount-sticky-form input[type="checkbox"] {
    display: none;
}
#discount-sticky-form input {
    padding-left: 0px;
    font-size: 12px;
    box-shadow: none;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #6c6c6c;
    margin-top: 20px;
}

#discount-sticky-form .container .checkmark::after {
    left: 9px;
    top: 0px;
    width: 10px;
    height: 24px;
    border: solid white;
        border-top-width: medium;
        border-right-width: medium;
        border-bottom-width: medium;
        border-left-width: medium;
    border-width: 0 4px 4px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

#discount-sticky-form .container input:checked ~ .checkmark::after {
    display: block;
}

#discount-sticky-form .container input:checked ~ .checkmark {
    background-color: #F39E0B;
    border: none;
}

#discount-sticky-form .checkmark::after {
    content: "";
    position: absolute;
    display: none;
}

#discount-sticky-form .checkmark {
    position: absolute;
    left: 50px;
    top: 0;
    height: 29px;
    width: 29px;
    background-color: #eee;
    border: 2px solid #939393;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}

.discount-info-text-wrapper p { 
    color: #fff!important;
    padding: 0px;
    margin: 0px;
}
.discount-info-title {
    font-size: 30px;
    font-weight: bold;
}
.discount-info-text {
    font-size: 21px;
    font-weight: 600;
}

.discount-info-text-small {
    font-size: 21px;
    font-weight: 600;
    text-align: center;
}

.banner-content-wrapper {
    width: 100%;
}

.banner-background-hidden-content {

        background: #fff;
}

.padding-left-3 {
    padding-left: 3px!important;
}
.padding-right-3 {
    padding-right: 3px!important;
}
.show-content {
    float: right;
    margin-top: 18px;
}

.banner-header-wrapper {
    max-width: 1050px;
    /*height: 95px;*/
/*    display: flex;
    align-items: center;
    justify-content: space-between;*/
    padding: 0 100px 0 0;
    margin: 0 auto;
}

.banner-hidden-content {
    display: none
}

.banner-minimized {
    display: none
}

.minimize-header {
    width: 32px;
    height: 32px;
    cursor: pointer;
    border-width: 0 3px 3px 0;
    border-color: #fff;
    position: absolute;
    right: 32px;
    top: 18px;
    opacity: 0.3;
    border-style: solid;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.banner-wrapper-minimized {
    height: 40px;
}

.banner-hidden-content {
    max-width: 915px;
    margin: 0 auto;
    padding: 15px 0;
    background: #fff;
    font-size: 12px;
    overflow-y: scroll;
    overflow-x: hidden;
}


.expand-header {
    width: 22px;
    height: 22px;
    display: none;
    cursor: pointer;
    position: absolute;
    top: 14px;
    opacity: 0.3;
    border-width: 0 3px 3px 0;
    border-color: #fff;
    border-style: solid;
    right: 32px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}


.discount-info-wrapper {
    background: #FFF;
    height: 100%; 
    width: 0; 
    position: fixed; 
    z-index: 2000; 
    top: 0;
    right: 0;
    background-color: #fff; 
    overflow-x: hidden;
    display: none; 
    padding-left: 10px;
    padding-right: 10px;
}


.request-info-modal .modal-inner-wrap {
  width: 400px;
}


/* Sidebar */

/* IMG */

.request-info-how-to-image {
    width: auto;
    float: left;
    padding-top: 7px;
    padding-right: 13px;
}


/* Text */

.request-info-how-to-text {
    width: auto;
    /*float: left;*/
    line-height: 3;
    font-weight: bold;
    color: #555;
}

.ri-content .request-info-title,
.ri-content .request-info-text,
.ri-content .request-info-form {
    text-align: left;
}


.discount-info-wrapper-banner .request-info-title,
.discount-info-wrapper-banner .request-info-text,
.discount-info-wrapper-banner .request-info-form {
    text-align: center;
}


.ri-text-bottom-wrapper p {
    margin-bottom: 3px;
    font-weight: 400;
    margin-bottom: 5px;
}

/* Wrapper */

.request-info-how-to-wrapper {
    width: 100%;
    float: left;
    /*height: 45px;*/
}

.request-info-discount-img-wrapper {
    position: absolute;
    right: 2px;
}

.request-info-how-to {
    overflow: hidden;
}

.ri-close-link-wrapper.col-md-12.col-sm-12.col-xs-12 {
    margin-top: 35px;
}

.ri-text-bottom-wrapper {
    float: left;
    margin-bottom: 100px;
}

/* Header */

.ri-header-background {
  position: relative;
}

/* Form */

.request-info-form {

    margin-top: 15px;
}

.request-info-form .col-md-12.col-sm-12.col-xs-12{
    padding-left: 0px!important;
    padding-right: 0px!important;
}

/* No interest */

.ri-close-link-wrapper p {
    text-align: left;
}

.ri-close-link-wrapper a {
    cursor: pointer;
    font-weight: 500;
}

/* Privacy */

.request-info-privacy-wrapper {
    padding: 20px 0px 5px 0px;
    overflow: hidden;
}

.request-info-privacy-wrapper p {
    font-family: 'Open Sans', Helvetica, Arial, sans-serif;
    color: #5e5e5e;
    font-weight: 300;
    font-size: 14px;
    line-height: 1.5em;
}

.ri-agree {
    height: 20px;
    line-height: 2.3;
    font-size: 15px;
    margin-left: 30px;
}

/* Button */



.ri-button-wrapper .button.action.primary {
    width: 100%;
    font-weight: bold;
}

/* Checkmark */

.discount-info-wrapper .container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.discount-info-wrapper .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 34px;
    width: 34px;
    background-color: #fff;
    border: 1px solid #939393;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}

.request-info-privacy-wrapper .container .checkmark::after {
    left: 12px;
    top: 2px;
    width: 10px;
    height: 24px;
    border: solid white;
    border-width: 0 4px 4px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.discount-info-wrapper .checkmark::after {
    content: "";
    position: absolute;
    display: none;
}



.discount-info-wrapper .container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* Checked */

.discount-info-wrapper .container input:checked ~ .checkmark:after {
  display: block;
}


.discount-info-wrapper .container input:checked ~ .checkmark {
  background-color: #F39E0B;
  border: none;
}

/* Input */

.request-info-mail-input {
    width: 100%;
}

.request-info-mail-input input {
    margin: 0 auto;
}

/* Content */

.ri-content {
    margin-top: 96px;
}


.request-info-discount-img-wrapper img {

}

.discount-info-wrapper .col-md-12.col-sm-12.col-xs-12 {
    padding-right: 40px;
    padding-left: 40px;
}

.request-info-header-img-wrapper.col-md-12 {

    padding-right: 0px!important
}

.ri-header-wrapper.col-md-12 {

    padding-right: 15px!important
}

.ri-header-background img {
    z-index: 1000;
    min-width: 100%;
    width: 100%;
    max-height: 150px;
}

.ri-close-icon {
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
    width: 20px !important;
    min-width: 20px !important;
}

.ri-icon {
    max-height: 48px;
    float: right;
}

#request-info-privacy-error {
    display: none;
    margin-top: 7px;
    color: #e02b27;
    font-size: 1.2rem;
}

.sticky-form-error {
    font-size: 13px;
    font-weight: bold;
    max-width: 285px;
    background: red;
    text-align: center;
    overflow: hidden;
    color: white;
    margin: 0 auto;
    padding: 8px;
    margin-top: 10px;
}




@media only screen and (min-width: 0px) {

    .ri-content {
        padding: 10px;
        margin-top: 18px;
    }

    .request-info-discount-img-wrapper img {
        display: none;
    }
    .request-info-how-to-text {

    }

    .request-info-title {
        font-size: 32px;
    }

}

@media only screen and (min-width: 600px) {

    #s-b-mobile-banner-toggle .s-b-close {
        display: none;
    }

    .ri-content {
        padding: 10px;
        margin-top: 18px;
    }

    .request-info-discount-img-wrapper img {
        display: none;
    }
    .request-info-how-to-text {

    }

    .request-info-title {
        font-size: 32px;
    }

}


@media only screen and (min-width: 767px) {



    .ri-content {
        padding: 10px;
        margin-top: 96px;
    }

    .request-info-discount-img-wrapper img {
        display: block;
    }


}

@media only screen and (min-width: 991px) {

    .ri-content {
        padding: 20px;
    }


}


@media only screen and (max-width: 768px) {

    .banner-content-wrapper .col-md-7.col-sm-7.col-xs-12 {
        width: 58.33333333%!important;
    }

    .banner-content-wrapper .col-md-5.col-sm-5.col-xs-12 {
        width: 41.66666667%!important;
    }
    .banner-background-hidden-content {
        max-height: 200px;
    }
    .discount-info-text-small {
        font-size: 14px;
    }
    .discount-info-title {
        font-size: 20px;

    }

    .discount-info-text {
        font-size: 14px;
    }

    .banner-background-hidden-content {
        max-height: 200px;
    }

}

@media only screen and (max-width: 370px) {

    .banner-content-wrapper .col-md-7.col-sm-7.col-xs-12 {
        width: 100%!important;
    }

    .banner-content-wrapper .col-md-5.col-sm-5.col-xs-12 {
        width: 100%!important;
    }

    .discount-info-title {
        font-size: 20px;
        /* font-weight: bold; */
    }

    .discount-info-text {
        font-size: 14px;
    }

    .banner-header-wrapper {
        /*height: 160px;*/
    }
    .banner-header-wrapper.banner-wrapper-minimized {
        height: 80px;
    }
    .banner-background-hidden-content {
        max-height: 200px;
    }
    .show-content {
        float: left;
    }
}

@media only screen and (max-width: 280px) {

    .banner-header-wrapper {
        height: 180px;
    }

    .banner-header-wrapper.banner-wrapper-minimized {
        height: 80px;
    }


}


/* Sticky bottom */

.sticky-bottom-discount {
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 2000;
    right: 0;
    /*transition: bottom 0.25s ease;*/
    box-sizing: border-box;
    -moz-box-sizing: border-box;
} 

.s-b-mobile-banner {
    width: 100%;
    position: relative;
    background: #f39e0b;
    padding: 5px 10px 5px 10px;

}

.s-b-wrapper {
    height: 100%;
    float: left;
    width: 100%;
    border-top: 5px solid #f39e0b;
}

.s-b-title {
    font-size: 22px;
    text-align: center;
    color: white;
    font-weight: 600;
}

.s-b-close {
    position: absolute;
    right: 17px;
    top: 10px;
    width: 30px;
    height: 32px;
    color: white;
    cursor: pointer;
}

.s-b-close-right {
    position: absolute;
    left: 10px;
    top: 5px;
    width: 30px;
    height: 32px;
    color: white;
    cursor: pointer;
}

.s-b-close-content {
    position: absolute;
    right: 10px;
    top: 4px;
    width: 30px;
    height: 39px;
    color: white;
    cursor: pointer;
}

.s-b-close::before,
.s-b-close::after {
    position: absolute;
    right: 0;
    content: ' ';
    height: 17px;
    width: 2px;
    background-color: #fff;
}

.s-b-close-right::before,
.s-b-close-right::after {
    position: absolute;
    right: 10px;
    content: ' ';
    height: 17px;
    width: 2px;
    background-color: #fff;
    top: 5px;
}



.s-b-close-content::before,
.s-b-close-content::after {
    position: absolute;
    right: 20px;
    content: ' ';
    height: 17px;
    width: 2px;
    background-color: #5e5e5e;
    top: 21px;
}

.s-b-close:before,
.s-b-close-content:before,
.s-b-close-right:before {
  transform: rotate(45deg);
}
.s-b-close:after,
.s-b-close-content:after,
.s-b-close-right:after {
  transform: rotate(-45deg);
}

.s-b-text {
    text-align: center;
    color: white;
    font-size: 16px;
}

.s-b-open-button.ed-button {
    max-width: 500px;
    text-align: center;
    margin-top: 8px;
    width: 100%;
}

.s-b-btn-wrapper {
    width: 100%;
    text-align: center;
    margin-bottom: 10px;
}


/* das tei, das den Inhalt des stickys enhatält*/
#s-b-content-toggle {
    float: left;
    overflow-y: scroll;
    background: white;
    width: 100%;
    position: relative;
    height: 100%;
    max-height: 358px;
  border-top: 5px solid #f39e0b;
}

#s-b-t-action {
     /*height: 43px;*/
} 
#s-b-closed {
    position: relative;
    bottom: 0;
}
#s-b-w-content {
    display: none;
}
#s-b-form .ri-button-wrapper {
    margin-bottom: 50px;
}

.s-b-wrapper-closed {
    width: 100%;
    background: #f39e0b;
    height: 100%;
    display: block;
    float: left;
}

.s-b-content-top-wrapper,
.s-b-content-bottom-wrapper {
    max-width: 500px;
    margin: 0 auto;
}
.s-b-closed-wrappers {
    position: relative;
}
.s-b-content-top-wrapper {

    padding-top: 15px;
    margin-bottom: 30px;
}

.s-b-content-top-wrapper .s-b-title {
    color: #5e5e5e;
    font-weight: 500;
}

.s-b-content-top-wrapper .s-b-text {
    color: #5e5e5e;
    font-size: 15px;
    margin-top: 16px;
}

.s-b-text-orange-background {
    background: #f39e0b;
    padding: 1px 5px 1px 3px;
    color: white;
}

/*form*/
#s-b-form input {
    max-width: 461px;
    border-top: none;
    border-left: none;
    border-right: none;
    padding: 0;
    box-shadow: none;
}

#s-b-form input::placeholder {
    color: #999;
}

/*overlay*/

.s-b-overlay {
    bottom: 0;
    left: 0;
    opacity: 0;
    margin: auto;
    position: fixed;
    display: block;
    right: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.66);
    z-index: 1000;
}


@media only screen and (min-width: 0px) {

    #s-b-content-toggle .s-b-title {
        margin-top: 20px;
    }

    #s-b-mobile-banner-toggle .ed-button {
        font-weight: 600;
        font-size: 15px;
    }

    .s-b-close-content::before, .s-b-close-content::after {
        right: 14px;
        top: 10px;
    }

    .s-b-close-right {
        display: none;
    }

    #s-b-content {
        padding-left: 10px;
        padding-right: 10px;
    }

}

@media only screen and (max-width: 361px) {

    .s-b-title {
        margin-top: 20px;
    }
}

@media only screen and (max-width: 361px) {

    .discount-info-wrapper {
        padding: 0px;
    }
}


@media only screen and (min-width: 991px) {

    #s-b-mobile-banner-toggle .s-b-title {
        width: 30%;
        float: left;
        font-size: 2vw;
    }

    #s-b-mobile-banner-toggle .s-b-text {
        width: 50%;
        float: left;
        font-size: 1.5vw;
        margin-top: 5px;
        text-align: left;
    }

    #s-b-mobile-banner-toggle .s-b-btn-wrapper {
        float: left;
        width: 18%;
        text-align: left;
    }

    .s-b-open-button.ed-button {
        max-width: 220px;
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .s-b-mobile-banner {
        height: 100%;
        float: left;
    }

    .s-b-title {
        font-size: 2vw;
    }

    #s-b-mobile-banner-toggle .s-b-btn-wrapper {
        font-size: 1.5vw;
         margin-bottom: 0px; 
    }


}

@media only screen and (min-width: 1199px) {

    #s-b-closed {
        max-width: 1199px;
        margin: 0 auto;
    }

    #s-b-mobile-banner-toggle .s-b-title {
        font-size: 24px;
        padding-top: 8px;
    }

    #s-b-mobile-banner-toggle .s-b-text {
        font-size: 17px;
        padding-top: 10px;
    }

    #s-b-mobile-banner-toggle .s-b-btn-wrapper {
        font-size: 18px;
    }
}

